質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Vagrant

Vagrantは、VirtualBox上の仮想マシンを コマンドラインから作成してくれるソフトウェアです。 ビルド環境など容易に構築が可能です。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

解決済

djangoのpython manage.py runserver でLookupErrorがでる

退会済みユーザー

退会済みユーザー

総合スコア0

Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Vagrant

Vagrantは、VirtualBox上の仮想マシンを コマンドラインから作成してくれるソフトウェアです。 ビルド環境など容易に構築が可能です。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

1回答

1評価

0クリップ

7443閲覧

投稿2019/04/07 21:21

###djangoのpython manage.py runserver でLookupErrorがでる

pythonでdjangoのサーバーを起動する際にLookupError: No installed app with label 'admin'と表示されdjangoのサーバーを起動することができません。初心者で丸一日解決できていおりません。何卒よろしくお願いします。

発生している問題・エラーメッセージ

raise LookupError(message) LookupError: No installed app with label 'admin'.

該当のソースコード

[vagrant@localhost ~]$ pwd /home/vagrant [vagrant@localhost ~]$ ls centos6 myapp [vagrant@localhost ~]$ python -V Python 3.5.2 [vagrant@localhost ~]$ python -m django --version 2.2 [vagrant@localhost ~]$ django-admin startproject myapp [vagrant@localhost ~]$ cd myapp [vagrant@localhost myapp]$ python manage.py runserver Watching for file changes with StatReloader Exception in thread Thread-1: Traceback (most recent call last): File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/threading.py", line 914, in _bootstrap_inner self.run() File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/threading.py", line 862, in run self._target(*self._args, **self._kwargs) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/utils/autoreload.py", line 54, in wrapper fn(*args, **kwargs) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/core/management/commands/runserver.py", line 109, in inner_run autoreload.raise_last_exception() File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/utils/autoreload.py", line 77, in raise_last_exception raise _exception[0](_exception[1]).with_traceback(_exception[2]) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/utils/autoreload.py", line 54, in wrapper fn(*args, **kwargs) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/__init__.py", line 24, in setup apps.populate(settings.INSTALLED_APPS) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/apps/registry.py", line 114, in populate app_config.import_models() File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/apps/config.py", line 211, in import_models self.models_module = import_module(models_module_name) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/importlib/__init__.py", line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap>", line 986, in _gcd_import File "<frozen importlib._bootstrap>", line 969, in _find_and_load File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 673, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 665, in exec_module File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/contrib/auth/models.py", line 2, in <module> from django.contrib.auth.base_user import AbstractBaseUser, BaseUserManager File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/contrib/auth/base_user.py", line 47, in <module> class AbstractBaseUser(models.Model): File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/db/models/base.py", line 117, in __new__ new_class.add_to_class('_meta', Options(meta, app_label)) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/db/models/base.py", line 321, in add_to_class value.contribute_to_class(cls, name) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/db/models/options.py", line 204, in contribute_to_class self.db_table = truncate_name(self.db_table, connection.ops.max_name_length()) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/db/__init__.py", line 28, in __getattr__ return getattr(connections[DEFAULT_DB_ALIAS], item) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/db/utils.py", line 201, in __getitem__ backend = load_backend(db['ENGINE']) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/db/utils.py", line 110, in load_backend return import_module('%s.base' % backend_name) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/importlib/__init__.py", line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/db/backends/sqlite3/base.py", line 66, in <module> check_sqlite_version() File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/db/backends/sqlite3/base.py", line 63, in check_sqlite_version raise ImproperlyConfigured('SQLite 3.8.3 or later is required (found %s).' % Database.sqlite_version) django.core.exceptions.ImproperlyConfigured: SQLite 3.8.3 or later is required (found 3.6.20). Traceback (most recent call last): File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/apps/registry.py", line 155, in get_app_config return self.app_configs[app_label] KeyError: 'admin' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "manage.py", line 21, in <module> main() File "manage.py", line 17, in main execute_from_command_line(sys.argv) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/core/management/__init__.py", line 381, in execute_from_command_line utility.execute() File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/core/management/__init__.py", line 375, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/core/management/base.py", line 323, in run_from_argv self.execute(*args, **cmd_options) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/core/management/commands/runserver.py", line 60, in execute super().execute(*args, **options) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/core/management/base.py", line 364, in execute output = self.handle(*args, **options) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/core/management/commands/runserver.py", line 95, in handle self.run(**options) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/core/management/commands/runserver.py", line 102, in run autoreload.run_with_reloader(self.inner_run, **options) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/utils/autoreload.py", line 579, in run_with_reloader start_django(reloader, main_func, *args, **kwargs) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/utils/autoreload.py", line 564, in start_django reloader.run(django_main_thread) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/utils/autoreload.py", line 272, in run get_resolver().urlconf_module File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/utils/functional.py", line 80, in __get__ res = instance.__dict__[self.name] = self.func(instance) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/urls/resolvers.py", line 564, in urlconf_module return import_module(self.urlconf_name) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/importlib/__init__.py", line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap>", line 986, in _gcd_import File "<frozen importlib._bootstrap>", line 969, in _find_and_load File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 673, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 665, in exec_module File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed File "/home/vagrant/myapp/myapp/urls.py", line 20, in <module> path('admin/', admin.site.urls), File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/utils/functional.py", line 256, in inner self._setup() File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/contrib/admin/sites.py", line 529, in _setup AdminSiteClass = import_string(apps.get_app_config('admin').default_site) File "/home/vagrant/.pyenv/versions/3.5.2/lib/python3.5/site-packages/django/apps/registry.py", line 162, in get_app_config raise LookupError(message) LookupError: No installed app with label 'admin'. [vagrant@localhost myapp]$

試したこと

sudo python3 manage.py runserver

sudo python manage.py migrate
python manage.py createsuperuser
をpython manage.py runserverの前につける

which python
sudo ~/.pyenv/shims/python manage.py runserver

python manage.py runserver 8080
python manage.py runserver 8081
python manage.py runserver 8082

などを試しております

補足情報(FW/ツールのバージョンなど)

windows8.1 virtualbox vagrant python3.52 django2.2 です

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Vagrant

Vagrantは、VirtualBox上の仮想マシンを コマンドラインから作成してくれるソフトウェアです。 ビルド環境など容易に構築が可能です。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。